"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.update = exports.version = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const config_1 = require("./utils/config");
const sumneko_lua_ls_1 = require("./utils/sumneko-lua-ls");
const alloyed_lua_lsp_1 = require("./utils/alloyed-lua-lsp");
const coc_nvim_1 = require("coc.nvim");
function version() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { version } = JSON.parse(fs_1.default.readFileSync(path_1.default.resolve(__dirname, "..", "package.json"), "utf-8"));
        coc_nvim_1.workspace.showMessage(`coc-lua: ${version}`, "more");
    });
}
exports.version = version;
function update(client) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        if (config_1.getConfig().useSumnekoLs) {
            yield sumneko_lua_ls_1.installLuaLs(true);
        }
        else {
            yield alloyed_lua_lsp_1.installLuaLsp(true);
        }
        if (client.needsStop()) {
            yield client.stop();
            client.start();
        }
    });
}
exports.update = update;
//# sourceMappingURL=commands.js.map